"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.newIpcBusClient = void 0;
const IpcBusWindowNamespace_1 = require("../renderer/IpcBusWindowNamespace");
function newIpcBusClient() {
    const electronCommonIpcSpace = window[IpcBusWindowNamespace_1.ElectronCommonIpcNamespace];
    if (electronCommonIpcSpace && electronCommonIpcSpace.CreateIpcBusClient) {
        return electronCommonIpcSpace.CreateIpcBusClient();
    }
    return undefined;
}
exports.newIpcBusClient = newIpcBusClient;
//# sourceMappingURL=IpcBusClient-factory-renderer.js.map