"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateIpcBusLog = void 0;
const universal_1 = require("@electron-common-ipc/universal");
const IpcBusLog_factory_1 = require("./IpcBusLog-factory");
const CreateIpcBusLog = () => {
    return (0, IpcBusLog_factory_1.CreateIpcBusLogSingleton)('IpcBusLogConfigMain', () => new universal_1.IpcBusLogConfigImpl());
};
exports.CreateIpcBusLog = CreateIpcBusLog;
const windowLocal = window;
windowLocal.CreateIpcBusLog = exports.CreateIpcBusLog;
//# sourceMappingURL=IpcBusLog-factory-browser.js.map