import type { IpcBusBridgeImpl } from './IpcBusBridgeImpl';
import type { QueryStateBase, QueryStateResponse } from '@electron-common-ipc/universal';
export declare class IpcBusQueryStateManager {
    private readonly _log;
    processes: Map<string, QueryStateBase[]>;
    protected _bridge: IpcBusBridgeImpl;
    protected _session: string;
    constructor(bridge: IpcBusBridgeImpl, _log?: boolean);
    start(): void;
    collect(queryStateResponse: QueryStateResponse): void;
}
