/// <reference types="node" />
import type { EventEmitter } from 'events';
export declare const IPCBUS_TRANSPORT_RENDERER_HANDSHAKE = "ECIPC:IpcBusRenderer:Handshake";
export declare const IPCBUS_TRANSPORT_RENDERER_COMMAND = "ECIPC:IpcBusRenderer:RendererCommand";
export declare const IPCBUS_TRANSPORT_RENDERER_MESSAGE = "ECIPC:IpcBusRenderer:RendererMessage";
export declare const IPCBUS_TRANSPORT_RENDERER_LOGROUNDTRIP = "ECIPC:IpcBusRenderer:RendererLogRoundtrip";
export interface IpcWindow extends EventEmitter {
    send(channel: string, ...args: any[]): void;
    sendTo(webContentsId: number, channel: string, ...args: any[]): void;
    postMessage(channel: string, message: unknown, messagePorts?: MessagePort[]): void;
}
