"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.newIpcBusServiceProxy = exports.newIpcBusService = void 0;
const universal_1 = require("@electron-common-ipc/universal");
const events_1 = require("events");
const log_1 = require("../utils/log");
function newIpcBusService(client, serviceName, serviceImpl, options, proto) {
    const logger = log_1.Logger.service ? new universal_1.ConsoleLogger() : undefined;
    return (0, universal_1.createIpcBusService)(client, serviceName, serviceImpl, proto !== null && proto !== void 0 ? proto : events_1.EventEmitter.prototype, logger, options);
}
exports.newIpcBusService = newIpcBusService;
function newIpcBusServiceProxy(client, serviceName, options, emitter) {
    const logger = log_1.Logger.service ? new universal_1.ConsoleLogger() : undefined;
    return (0, universal_1.createIpcBusServiceProxy)(client, serviceName, emitter !== null && emitter !== void 0 ? emitter : new events_1.EventEmitter(), options, logger);
}
exports.newIpcBusServiceProxy = newIpcBusServiceProxy;
//# sourceMappingURL=IpcBusService-factory.js.map