"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParseConnectOptions = exports.ConnectCloseState = exports.IsElectronCommonIpcAvailable = exports.ActivateServiceTrace = exports.CreateIpcBusServiceProxy = exports.CreateIpcBusService = exports.ActivateIpcBusTrace = void 0;
const universal_1 = require("@electron-common-ipc/universal");
Object.defineProperty(exports, "ConnectCloseState", { enumerable: true, get: function () { return universal_1.ConnectionState; } });
Object.defineProperty(exports, "ParseConnectOptions", { enumerable: true, get: function () { return universal_1.CheckConnectOptions; } });
const IpcBusWindowNamespace_1 = require("./renderer/IpcBusWindowNamespace");
Object.defineProperty(exports, "IsElectronCommonIpcAvailable", { enumerable: true, get: function () { return IpcBusWindowNamespace_1.isIpcAvailable; } });
const IpcBusService_factory_1 = require("./service/IpcBusService-factory");
Object.defineProperty(exports, "CreateIpcBusService", { enumerable: true, get: function () { return IpcBusService_factory_1.newIpcBusService; } });
Object.defineProperty(exports, "CreateIpcBusServiceProxy", { enumerable: true, get: function () { return IpcBusService_factory_1.newIpcBusServiceProxy; } });
const log_1 = require("./utils/log");
Object.defineProperty(exports, "ActivateIpcBusTrace", { enumerable: true, get: function () { return log_1.activateIpcBusTrace; } });
Object.defineProperty(exports, "ActivateServiceTrace", { enumerable: true, get: function () { return log_1.activateServiceTrace; } });
//# sourceMappingURL=common.js.map