"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateIpcBusLogSingleton = void 0;
const universal_1 = require("@electron-common-ipc/universal");
function CreateIpcBusLogSingleton(logSymbolName, factory) {
    const globalContainer = new universal_1.GlobalContainer();
    let logInstance = globalContainer.getSingleton(logSymbolName);
    if (logInstance === undefined) {
        logInstance = factory();
        globalContainer.registerSingleton(logSymbolName, logInstance);
    }
    return logInstance;
}
exports.CreateIpcBusLogSingleton = CreateIpcBusLogSingleton;
//# sourceMappingURL=IpcBusLog-factory.js.map