"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogKindToStr = void 0;
require("@electron-common-ipc/universal");
function LogKindToStr(kind) {
    switch (kind) {
        case 0:
            return 'SendMessage';
        case 1:
            return 'GetMessage';
        case 2:
            return 'SendRequest';
        case 3:
            return 'GetRequest';
        case 4:
            return 'SendRequestResponse';
        case 5:
            return 'GetRequestResponse';
        case 6:
            return 'SendCloseRequest';
        case 7:
            return 'GetCloseRequest';
        default:
            return 'Unknown';
    }
}
exports.LogKindToStr = LogKindToStr;
//# sourceMappingURL=IpcBusLog.js.map