"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isIpcAvailable = exports.ElectronCommonIpcNamespace = void 0;
exports.ElectronCommonIpcNamespace = 'ElectronCommonIpc';
function isIpcAvailable() {
    try {
        const windowLocal = window;
        const electronCommonIpcSpace = windowLocal[exports.ElectronCommonIpcNamespace];
        return electronCommonIpcSpace !== undefined;
    }
    catch (_a) {
        return false;
    }
}
exports.isIpcAvailable = isIpcAvailable;
//# sourceMappingURL=IpcBusWindowNamespace.js.map