import type { IpcBusClient, IpcBusService, IpcBusServiceProxy, ServiceProxyConnectOptions, BusServiceOptions, ServiceEventEmitter } from '@electron-common-ipc/universal';
export declare function newIpcBusService(client: IpcBusClient, serviceName: string, serviceImpl: unknown, options?: BusServiceOptions, proto?: ServiceEventEmitter): IpcBusService;
export declare function newIpcBusServiceProxy(client: IpcBusClient, serviceName: string, options?: ServiceProxyConnectOptions, emitter?: ServiceEventEmitter): IpcBusServiceProxy;
