/// <reference types="node" />
/// <reference types="electron" />
import { IpcPacketBufferList } from 'socket-serializer';
import type { IpcPacketBufferCore } from 'socket-serializer';
export declare const IPC_BUS_TIMEOUT = 2000;
export declare function buffersToList(buffers: Buffer[]): IpcPacketBufferList;
export declare function fixRawData(realData: IpcPacketBufferCore.RawData): IpcPacketBufferCore;
export declare function requireElectron(): typeof Electron.CrossProcessExports;
